Bug 177804 - Missing DVB and v4l2 headers
Missing DVB and v4l2 headers
Status: CLOSED WONTFIX
Product: Fedora Legacy
Classification: Retired
Component: glibc-kernheaders (Show other bugs)
fc3
athlon Linux
medium Severity medium
: ---
: ---
Assigned To: David Woodhouse
Brian Brock
DEFER
:
: 177807 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-01-14 08:56 EST by Dominik Mierzejewski
Modified: 2007-04-18 13:36 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-08-13 11:08:36 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dominik Mierzejewski 2006-01-14 08:56:38 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-GB; rv:1.7.12) Gecko/20050922 Fedora/1.0.7-1.1.fc4 Firefox/1.0.7

Description of problem:
The kernel headers for DVB and V4L2 support (present in the kernel RPM) are missing from glibc-kernheaders, hence it's impossible to build support for them, for example in MPlayer. They are present in FC4's glibc-kernheaders package, so it's only a matter of backporting the changes from FC4.

On FC3 system:
% ls /usr/include/linux/dvb
ls: /usr/include/linux/dvb: No such file or directory
% locate dvb/dmx.h
/lib/modules/2.6.12-1.1381_FC3/build/include/linux/dvb/dmx.h
% ls /usr/include/linux/videodev*
/usr/include/linux/videodev.h
% locate videodev2.h
/lib/modules/2.6.12-1.1381_FC3/build/include/linux/videodev2.h

On FC4 system:
$ ls /usr/include/linux/dvb/
audio.h  ca.h  dmx.h  frontend.h  net.h  osd.h  version.h  video.h
$ locate dvb/dmx.h
/usr/src/kernels/2.6.14-1.1656_FC4-i686/include/linux/dvb/dmx.h
/usr/include/linux/dvb/dmx.h
$ ls /usr/include/linux/videodev*
/usr/include/linux/videodev2.h  /usr/include/linux/videodev.h
$ locate videodev2.h
/usr/src/kernels/2.6.14-1.1656_FC4-i686/include/linux/videodev2.h
/usr/include/linux/videodev2.h


Version-Release number of selected component (if applicable):
glibc-kernheaders-2.4-9.1.87.i386

How reproducible:
Always

Steps to Reproduce:
1. Get latest MPlayer CVS checkout
2. ./configure
3. abort after it fails to detect DVB HEAD and Video 4 Linux 2 support to keep configure.log
  

Actual Results:  Checking for DVB HEAD ... no (specify path to DVB/include (HEAD Version) with --with-dvbincdir=DIR)
...
Checking for Video 4 Linux 2 TV interface ... no

and in configure.log:
[...]
============ Checking for DVB HEAD ============

#include <sys/poll.h>
#include <sys/ioctl.h>
#include <stdio.h>
#include <time.h>
#include <unistd.h>

#include <linux/dvb/dmx.h>
#include <linux/dvb/frontend.h>
#include <linux/dvb/video.h>
#include <linux/dvb/audio.h>
int main(void) {return 0;}

cc     -o /tmp/mplayer-conf-21769-1457.o /tmp/mplayer-conf-5066-1457.c
/tmp/mplayer-conf-5066-1457.c:7:27: linux/dvb/dmx.h: No such file or directory
/tmp/mplayer-conf-5066-1457.c:8:32: linux/dvb/frontend.h: No such file or directory
/tmp/mplayer-conf-5066-1457.c:9:29: linux/dvb/video.h: No such file or directory
/tmp/mplayer-conf-5066-1457.c:10:29: linux/dvb/audio.h: No such file or directory

ldd /tmp/mplayer-conf-21769-1457.o
ldd: /tmp/mplayer-conf-21769-1457.o: No such file or directory
[...]
Result is: no (specify path to DVB/include (HEAD Version) with --with-dvbincdir=DIR)
##########################################
[...]
============ Checking for Video 4 Linux 2 TV interface ============

#include <stdlib.h>
#include <linux/types.h>
#include <linux/videodev2.h>
int main(void) { return 0; }

cc     -o /tmp/mplayer-conf-21769-1457.o /tmp/mplayer-conf-5066-1457.c
/tmp/mplayer-conf-5066-1457.c:3:29: linux/videodev2.h: No such file or directory

ldd /tmp/mplayer-conf-21769-1457.o
ldd: /tmp/mplayer-conf-21769-1457.o: No such file or directory

Result is: no


Expected Results:  Checking for DVB HEAD ... yes
[...]
Checking for Video 4 Linux 2 TV interface ... yes


Additional info:
Comment 1 Dominik Mierzejewski 2006-01-14 09:04:27 EST
*** Bug 177807 has been marked as a duplicate of this bug. ***
Comment 2 Jesse Keating 2006-08-13 11:08:36 EDT
Unfortunately not really a security issue.

Note You need to log in before you can comment on or make changes to this bug.